// defines Tulip
////////////////////////////////////////////////////////////////////////////////////

// start wrapper - prevent multiple inclusions or recursive inclusions

//(this currently causes 'unrecognized preprocessor directive' warnings, until implemented)
#ifndef INCLUDED_TULIP_GSH
#define INCLUDED_TULIP_GSH

////////////////////////////////////////////////////////////////////////////////////

#include "defaults.gsh"
#include "lasers.gsh"

hierarchy Hcy_Tulip
{
	file "units\Tulip.RIF"
	name "Tulip"
	hotspot "dum flash"
}

character Chr_Tulip : Chr_DefaultBaddie
{
	turning speed   0.3	// this is in revolutions per second
	walking speed   1.0	// this is in animation cycles per second
	weapon          enemy laser weak
	strength        5	// initial strength points
	aim             1	// how many degrees off target he can be at most
	sight angle	80	// in degrees
	sight range 	8	// in metres
	hearing range	20	// in metres
	aggression	0.9	// from 0 to 1
	gun yaw angle	0	// in degrees
	description		drone description
}

role Rol_Tulip : Rol_DefaultRobot
{
	shape			Hcy_Tulip
	
	character		Chr_Tulip
		
	identifier		"Tulip"

	ai				bot
}

////////////////////////////////////////////////////////////////////////////////////

// end wrapper - for preventing multiple or recursive inclusions
#endif // !INCLUDED_TULIP_GSH
